%HISTPLOT - histograph plot of the sorted data
%Usage: 1. Load data, 2. sortdata, 3. histplotcolor2
C01=13:24;     %Yellow
C02=25:36;     %Orange
C03=37:48;     %Pink
C04=49:60;     %Green
C05=61:72;     %Blue
C06=73:84;     %Burgundy
%pColor='gmyrw';
ncolors=6;
pColor=[[1 1 0];[1 0.5 0];[1 0 1];[0 1 0];[0 0 1];[0.5 0 0]];
%Normalized Force plot
n=length(SortNF);
figure, orient rotated
for i=1:3
    subplot(3,1,i), hold on
    [x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6]=sortcolor2(YNF,SortNF,C01,C02,C03,C04,C05,C06);
    for j=1:ncolors
        eval(['h=bar(x' num2str(j) '(:,i),y' num2str(j) '(:,i));'])
        set(h,'FaceColor',pColor(j,:));
    end
    h1=get(h,'Parent');
    ylabel('Normalized Force')
    if (i==1) title('Normalized Force'); end;
    set(h1,'XTick',1:n,'XTickLabel',num2str(SortNF(:,i)),'FontSize',5);
    axis tight
end
xlabel('Trial No.')

%Max Force plot
figure, orient rotated
for i=1:3
    subplot(3,1,i), hold on
    [x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6]=sortcolor2(YMaxF,SortMaxF,C01,C02,C03,C04,C05,C06);
    for j=1:ncolors
        eval(['h=bar(x' num2str(j) '(:,i),y' num2str(j) '(:,i));'])
        set(h,'FaceColor',pColor(j,:));
    end
    h1=get(h,'Parent');
    ylabel('Maximum Force')
    if (i==1) title('Maximum Force'); end;
    set(h1,'XTick',1:n,'XTickLabel',num2str(SortMaxF(:,i)),'FontSize',5);
    axis tight
end
xlabel('Trial No.')

%Min Force plot
figure, orient rotated
for i=1:3
    subplot(3,1,i), hold on
    [x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6]=sortcolor2(YMinF,SortMinF,C01,C02,C03,C04,C05,C06);
    for j=1:ncolors
        eval(['h=bar(x' num2str(j) '(:,i),y' num2str(j) '(:,i));'])
        set(h,'FaceColor',pColor(j,:));
    end
    h1=get(h,'Parent');
    ylabel('Minimum Force')
    if (i==1) title('Minimum Force'); end;
    set(h1,'XTick',1:n,'XTickLabel',num2str(SortMinF(:,i)),'FontSize',5);
    axis tight
end
xlabel('Trial No.')

%Normalized Positive Force plot
figure, orient rotated
for i=1:3
    subplot(3,1,i), hold on
    [x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6]=sortcolor2(YNPF,SortNPF,C01,C02,C03,C04,C05,C06);
    for j=1:ncolors
        eval(['h=bar(x' num2str(j) '(:,i),y' num2str(j) '(:,i));'])
        set(h,'FaceColor',pColor(j,:));
    end
    h1=get(h,'Parent');
    ylabel('Normalized Positive Force')
    if (i==1) title('Normalized Positive Force'); end;
    set(h1,'XTick',1:n,'XTickLabel',num2str(SortNPF(:,i)),'FontSize',5);
    axis tight
end
xlabel('Trial No.')

%Normalized Negative Force plot
figure, orient rotated
for i=1:3
    subplot(3,1,i), hold on
    [x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6]=sortcolor2(YNNF,SortNNF,C01,C02,C03,C04,C05,C06);
    for j=1:ncolors
        eval(['h=bar(x' num2str(j) '(:,i),y' num2str(j) '(:,i));'])
        set(h,'FaceColor',pColor(j,:));
    end
    h1=get(h,'Parent');
    ylabel('Normalized Negative Force')
    if (i==1) title('Normalized Negative Force'); end;
    set(h1,'XTick',1:n,'XTickLabel',num2str(SortNNF(:,i)),'FontSize',5);
    axis tight
end
xlabel('Trial No.')

%Detachment Force plot
figure, orient rotated, hold on
[x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6]=sortcolor2(YDF,SortDF(:,1),C01,C02,C03,C04,C05,C06);
for j=1:ncolors
    eval(['h=bar(x' num2str(j) '(:,1),y' num2str(j) '(:,1));'])
    set(h,'FaceColor',pColor(j,:));
end
h1=get(h,'Parent');
xlabel('Trial No.')
ylabel('Detachment Force')
title('Detachment Force')
set(h1,'XTick',1:n,'XTickLabel',num2str(SortDF(:,1)),'FontSize',5);
axis tight

%Remaining Disengagement Force plot
figure, orient rotated
for i=1:3
    subplot(3,1,i), hold on
    [x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6]=sortcolor2(YDisF,SortDisF,C01,C02,C03,C04,C05,C06);
    for j=1:ncolors
        eval(['h=bar(x' num2str(j) '(:,i),y' num2str(j) '(:,i));'])
        set(h,'FaceColor',pColor(j,:));
    end
    h1=get(h,'Parent');
    ylabel('Remaining Disengagement Force')
    if (i==1) title('Remaining Disengagement Force'); end;
    set(h1,'XTick',1:n,'XTickLabel',num2str(SortDisF(:,i)),'FontSize',5);
    axis tight
end
xlabel('Trial No.')

%Single Remaining Disengagement Force plot
figure, orient rotated, hold on
[x1,y1,x2,y2,x3,y3,x4,y4,x5,y5,x6,y6]=sortcolor2(YDis1F,SortDis1F(:,1),C01,C02,C03,C04,C05,C06);
for j=1:ncolors
    eval(['h=bar(x' num2str(j) '(:,1),y' num2str(j) '(:,1));'])
    set(h,'FaceColor',pColor(j,:));
end
h1=get(h,'Parent');
xlabel('Trial No.')
ylabel('Remaining Disengagement Force')
title('Single Remaining Disengagement Force')
set(h1,'XTick',1:n,'XTickLabel',num2str(SortDis1F(:,1)),'FontSize',5);
axis tight

for i=1:ncolors
   eval(['clear C' num2str(i,'%02d')])
end
clear i j

